V11 SP8
Loading...

Oracle Archiving Prerequisites

Before You Begin

Obtain a Commvault Data Protection license to enable archiving. For more information, see License Requirements.

Prerequisites for an Archive in the Native Format

Install the Oracle Agent

Verify the System Requirements for Oracle Database Archiving.

Install the Oracle Agent on the production database host and the secondary server that hosts the archive and staging databases. For installation instructions, see Oracle Getting Stared.

Preparing the Production and Archive Databases for Archiving

The Archive database must be in NOARCHIVELOG mode.

Archive Database Parameters

You can use one archive database for multiple production databases.

Best Practice: Have the archive database separate from the production database.

Set the Oracle db_files parameter to 512. For information on how to determine the number of files, see Determining the Oracle db_files Parameter.

Archive Database Disk Space

The archive database host disk must be twice the size of the data to be archived on the production database.

Run the preview for subclients.

Configure TNS Connectivity on the Production and Archive Database

Add the production (source) database name in the tnsnames.ora (located in $ORACLE_HOME/network/admin or the $TNS_ADMIN folder) file on the archive host.

Add the archive database name in the production host's tnsnames.ora file.

Use the TNS Alias name for the connect string.

Java Requirements

The Java version must be 1.8 or above.

Set the Java Path

If your Oracle installation does not include the latest version of Java, you must set the Java path to the latest Java version. For information on how to set the path, see Setting the Java Path.

Oracle Instance that use the Volume Copy Option

Do not configure Oracle archiving instances on a client that contains an Oracle instance with a subclient that uses the Volume Copy option (Subclient Properties dialog box, IntelliSnap Operations tab, Volume Copy (Block-Level Backup - Support Instant Database Recover).

Prerequisites for an Archive in the XML Format or Apache Parquet Format

Java Requirements

The Java version must be 1.8 or above.

Set the Java Path

If your Oracle installation does not include the latest version of Java, you must set the Java path to the latest Java version. For information on how to set the path, see Setting the Java Path.

Oracle Instance that use the Volume Copy Option

Do not configure Oracle archiving instances on a client that contains an Oracle instance with a subclient that uses the Volume Copy option (Subclient Properties dialog box, IntelliSnap Operations tab, Volume Copy (Block-Level Backup - Support Instant Database Recover).